Skip to main content
POST
/
2025-10
/
marketing-solutions
/
audiences
/
create
/2025-10/marketing-solutions/audiences/create
curl --request POST \
  --url https://api.criteo.com/2025-10/marketing-solutions/audiences/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": [
    {
      "type": "<string>"
    }
  ]
}
'
{
  "data": [
    {
      "attributes": {
        "adSetIds": [
          "<string>"
        ],
        "advertiserId": "<string>",
        "algebra": {
          "and": "<array>",
          "audienceSegmentId": "<string>",
          "not": "<unknown>",
          "or": "<array>"
        },
        "createdAt": "2023-11-07T05:31:56Z",
        "description": "<string>",
        "name": "<string>",
        "updatedAt": "2023-11-07T05:31:56Z"
      },
      "id": "<string>",
      "type": "<string>"
    }
  ],
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

Input to create one or more audiences.

data
object[]

Response

200 - application/json

Success or partial success

A top-level object that encapsulates a Criteo API response for several entities

data
object[] | null
errors
object[] | null
read-only
warnings
object[] | null
read-only